Skip to main content
PATCH
/
libraries
/
{libraryId}
/
videos
/
bulk-move
Bulk Move Videos to Folder
curl --request PATCH \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_folder_id": "0336d0c2-c1aa-4041-b956-1d4afd2935e7",
  "video_ids": [
    "25798cba-e3c0-41c8-9790-70fb3e549734",
    "069c3a46-3a75-41c2-a99e-ad00b0d939aa"
  ]
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move"

payload = {
"new_folder_id": "0336d0c2-c1aa-4041-b956-1d4afd2935e7",
"video_ids": ["25798cba-e3c0-41c8-9790-70fb3e549734", "069c3a46-3a75-41c2-a99e-ad00b0d939aa"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
new_folder_id: '0336d0c2-c1aa-4041-b956-1d4afd2935e7',
video_ids: ['25798cba-e3c0-41c8-9790-70fb3e549734', '069c3a46-3a75-41c2-a99e-ad00b0d939aa']
})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move"

payload := strings.NewReader("{\n \"new_folder_id\": \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\",\n \"video_ids\": [\n \"25798cba-e3c0-41c8-9790-70fb3e549734\",\n \"069c3a46-3a75-41c2-a99e-ad00b0d939aa\"\n ]\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_folder_id\": \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\",\n \"video_ids\": [\n \"25798cba-e3c0-41c8-9790-70fb3e549734\",\n \"069c3a46-3a75-41c2-a99e-ad00b0d939aa\"\n ]\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.patch("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_folder_id\": \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\",\n \"video_ids\": [\n \"25798cba-e3c0-41c8-9790-70fb3e549734\",\n \"069c3a46-3a75-41c2-a99e-ad00b0d939aa\"\n ]\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"new_folder_id\": \"0336d0c2-c1aa-4041-b956-1d4afd2935e7\",\n \"video_ids\": [\n \"25798cba-e3c0-41c8-9790-70fb3e549734\",\n \"069c3a46-3a75-41c2-a99e-ad00b0d939aa\"\n ]\n}", false);
var response = await client.PatchAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/bulk-move",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'new_folder_id' => '0336d0c2-c1aa-4041-b956-1d4afd2935e7',
'video_ids' => [
'25798cba-e3c0-41c8-9790-70fb3e549734',
'069c3a46-3a75-41c2-a99e-ad00b0d939aa'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "message": "Videos Updated Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Body

application/json
new_folder_id
string
required

new folder id where videos will be moved

video_ids
string[]
required

array of video ids

Response

message
string
required
success
boolean
required